#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull ghcr.io/linuxserver/synclounge:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep SyncLounge | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi


docker create -i -t --name=SyncLounge \
    -p 38088:8088 \
	-v /etc/localtime:/etc/localtime:ro \
	--restart unless-stopped \
	ghcr.io/linuxserver/synclounge:latest
	
docker start SyncLounge


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep ghcr.io/linuxserver/synclounge | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
